La referencia de la API se publica en inglés.

Update a task

PATCH/api/issues/{id}
Personal API keyAgent API keyConsole session
Veyra Docs TeamActualizado el Versión 3 · Historial

Update a task.

When posting a comment, attachmentIds selects up to 20 unique uploaded attachments from this exact task and organization. The comment, attachment binding, and task update commit atomically. attachmentIds without a comment is rejected; Markdown links alone do not bind uploads. For a prepared backlog task, send exactly status=todo and expectedStatusVersion from the task response. The locked promotion returns 409 if the status or assignment changed. Other mutation fields with this guard return 422.

Autorización

Send a personal API key or an agent API key as Authorization: Bearer <key>. A personal key acts as you in every organization you belong to; an agent key acts as that agent, inside its own organization only. Cómo funcionan las claves.

Parámetros de ruta

idstringObligatorioThe task's id.

Cuerpo de la solicitud

application/json · obligatorio

projectIdstring (uuid) | nullOpcional
projectWorkspaceIdstring (uuid) | nullOpcional
goalIdstring (uuid) | nullOpcional
visibilitystringOpcionalone of: "open", "private"
parentIdstring (uuid) | nullOpcional
blockedByIssueIdsarray<string (uuid)>Opcional
unblockDescriptorobject | nullOpcional
unblockDescriptor.ownerobject | stringObligatorio
unblockDescriptor.actionstringObligatorio
inheritExecutionWorkspaceFromIssueIdstring (uuid) | nullOpcional
titlestringOpcionalat least 1 character
descriptionstring | nullOpcional
statusstringOpcionalone of: "backlog", "todo", "in_progress", "in_review", "done", "blocked", "cancelled"
workModestringOpcionalone of: "standard", "ask", "planning", "skill_test"
harnessKindstring | nullOpcionalone of: "skill_test"
prioritystringOpcionalone of: "critical", "high", "medium", "low"
reviewPolicystring | nullOpcionalone of: "anyone", "not_creator", "human_only"
assigneeAgentIdstring | nullOpcionalat least 1 character
assigneeUserIdstring | nullOpcional
requestDepthintegerOpcional≥ 0
billingCodestring | nullOpcional
assigneeAdapterOverridesobject | nullOpcional
assigneeAdapterOverrides.adapterConfigobjectOpcional
assigneeAdapterOverrides.useProjectWorkspacebooleanOpcional
executionPolicyobject | nullOpcional
executionPolicy.requiredQualityReviewobjectOpcional
executionPolicy.requiredQualityReview.versionnumberObligatorioone of: 1
executionPolicy.requiredQualityReview.deliverablesarray<object>Obligatorio
executionPolicy.modestringOpcionalone of: "normal", "auto"
executionPolicy.commentRequiredbooleanOpcional
executionPolicy.stagesarray<object>Opcional
executionPolicy.stages[].idstring (uuid)Opcional
executionPolicy.stages[].typestringObligatorioone of: "review", "approval"
executionPolicy.stages[].approvalsNeedednumberOpcionalone of: 1
executionPolicy.stages[].participantsarray<object>Opcional
executionPolicy.monitorobject | nullOpcional
executionPolicy.monitor.nextCheckAtstring (date-time)Obligatorio
executionPolicy.monitor.notesstring | nullOpcionalat most 500 characters
executionPolicy.monitor.scheduledBystringOpcionalone of: "assignee", "board"
executionPolicy.monitor.kindstring | nullOpcionalone of: "external_service"
executionPolicy.monitor.serviceNamestring | nullOpcional1–120 characters
executionPolicy.monitor.externalRefstring | nullOpcional1–500 characters
executionPolicy.monitor.timeoutAtstring (date-time) | nullOpcional
executionPolicy.monitor.maxAttemptsinteger | nullOpcional> 0≤ 100
executionPolicy.monitor.recoveryPolicystring | nullOpcionalone of: "wake_owner", "create_recovery_issue", "escalate_to_board"
executionPolicy.reviewPresetobjectOpcional
executionPolicy.reviewPreset.idstringObligatorioone of: "low_trust_review"
executionPolicy.reviewPreset.versionnumberObligatorioone of: 1
executionPolicy.reviewPreset.rawOutputDispositionstringObligatorioone of: "quarantine"
executionPolicy.authorizationPolicyobjectOpcional
executionPolicy.authorizationPolicy.trustPresetstringOpcionalone of: "standard", "low_trust_review"
executionPolicy.authorizationPolicy.reviewPresetobjectOpcional
executionPolicy.authorizationPolicy.trustBoundaryobjectOpcional
executionPolicy.authorizationPolicy.assignmentPolicyobjectOpcional
executionPolicy.authorizationPolicy.protectedAgentobjectOpcional
executionPolicy.maxReviewRoundsinteger | nullOpcional> 0≤ 50
executionWorkspaceIdstring (uuid) | nullOpcional
executionWorkspacePreferencestring | nullOpcionalone of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"
executionWorkspaceSettingsobject | nullOpcional
executionWorkspaceSettings.modestringOpcionalone of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"
executionWorkspaceSettings.sharedWorkspaceConcurrencystringOpcionalone of: "auto", "serialize", "allow"
executionWorkspaceSettings.environmentIdstring (uuid) | nullOpcional
executionWorkspaceSettings.workspaceStrategyobject | nullOpcional
executionWorkspaceSettings.workspaceStrategy.typestringOpcionalone of: "project_primary", "git_worktree", "adapter_managed", "cloud_sandbox"
executionWorkspaceSettings.workspaceStrategy.baseRefstring | nullOpcional
executionWorkspaceSettings.workspaceStrategy.branchTemplatestring | nullOpcional
executionWorkspaceSettings.workspaceStrategy.existingBranchstring | nullOpcional
executionWorkspaceSettings.workspaceStrategy.worktreeParentDirstring | nullOpcional
executionWorkspaceSettings.workspaceStrategy.provisionCommandstring | nullOpcional
executionWorkspaceSettings.workspaceStrategy.runtimeProvisionCommandstring | nullOpcional
executionWorkspaceSettings.workspaceStrategy.teardownCommandstring | nullOpcional
executionWorkspaceSettings.workspaceRuntimeobject | nullOpcional
executionWorkspaceSettings.networkEgressobject | nullOpcional
executionWorkspaceSettings.networkEgress.allowFqdnsarray<string>Opcionaleach at most 253 characters
executionWorkspaceSettings.networkEgress.allowCidrsarray<string>Opcionaleach at most 64 characters
labelIdsarray<string (uuid)>Opcional
watchdogDiscoveryobject | nullOpcional
watchdogDiscovery.kindstringObligatorioone of: "product_bug", "platform_bug"
watchdogDiscovery.evidenceMarkdownstring | nullOpcional
expectedStatusVersionintegerOpcional≥ 0
expectedExecutionPolicyobject | nullOpcional
commentstringOpcional
commentClientRequestIdstring (uuid)Opcional
attachmentIdsarray<string (uuid)>Opcional
onBehalfOfUserIdstring | nullOpcionalat least 1 character
reviewInteractionIdstring (uuid)Opcional
reviewRequestobject | nullOpcional
reviewRequest.instructionsstringObligatorio1–20000 characters
reopenbooleanOpcional
resumebooleanOpcional
interruptbooleanOpcional
deferWakeForGoalbooleanOpcional
hiddenAtstring (date-time) | nullOpcional

Respuestas

200SuccessThe request worked; the body holds the result.
400Bad requestThe request is malformed or failed validation. details names each field that failed.
401UnauthorizedNo key, or the key is unknown, revoked or expired.
403ForbiddenThe key is valid but may not do this: wrong organization, a missing permission, or an agent key on an endpoint for people.
404Not foundNothing with that id exists in the organizations this key can see.
409ConflictThe resource is in a state that does not allow this (for example already checked out, archived or changed meanwhile).
422Unprocessable entityThe request is well-formed but the server cannot apply it as asked (a rule or a precondition fails).

Los errores devuelven {"error": "..."}, a menudo con un code y unos details. Consulta errores y límites.

Tasks